Project

General

Profile

Bug #3549

osmo-trx-lms not built in osmo-trx.git/contrib/jenkins.sh

Added by pespin 2 months ago. Updated 5 days ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
LimeSDR
Target version:
-
Start date:
09/12/2018
Due date:
% Done:

100%

Spec Reference:

Description

Following patch adds it: https://gerrit.osmocom.org/#/c/osmo-trx/+/10723/

However, we need a LimeSuite installed in the jenkins node. Current build slaves have "testing" osmocom repo, but limesuite version in "testing" is too old (17.09) and cannot be used to build osmo-trx, because it doesn't contain the LimeSuite.pc file required to find it.

The .pc file was added in LimeSuite.git 54acaa931f8271f6c920840aead2ef79cf840cd1, in between 18.03 and 18.04, which means at least 18.04 is required. Latest release is 18.06.

Osmocom "nightly" repositories already build 18.06.

Osmocom "testing" contains 17.09 but actually osmo-ci.git ./scripts/osmocom-latest-packages.sh doesn't contain any reference to limesuite, so it was somehow built manually.

We should update ./scripts/osmocom-latest-packages.sh to build LimeSuite 18.06 (latest release) and have it installed with ansible in build slaves.

History

#1 Updated by pespin 5 days ago

  • Status changed from New to Resolved
  • % Done changed from 0 to 100

Fixed, that patch was merged after we upgraded to LimeSuite 18.04 in both latest and nightly.

Also available in: Atom PDF

Add picture from clipboard (Maximum size: 48.8 MB)